package main

// Cis ...
type Cis struct {
	Ki string `json:"ki"`
}

// Document ...
type Document struct {
	DocNum       string `json:"docnumber"`
	Inn          string `json:"trade_participant_inn"`
	ProductsList []Cis  `json:"products_list"`
}

// NewDocument ...
func NewDocument(docNum string, products []Cis) *Document {
	return &Document{
		DocNum:       docNum,
		Inn:          "5042013346",
		ProductsList: products,
	}
}

// NewCis ...
func NewCis(cis string) Cis {
	shortCIS := cis[0:31]
	return Cis{Ki: shortCIS}
}
